idevicepair(1)

NAME
idevicepair - Manage host pairings with devices and usbmuxd.

SYNOPSIS
idevicepair [OPTIONS] COMMAND

DESCRIPTION

Manage host pairings with devices and usbmuxd.

OPTIONS

-u, --udid UDID
    target specific device by UDID.

-d, --debug
    enable communication debugging.

-h, --help
    prints usage information.

-v, --version
    prints version information.

COMMANDS

systembuid
    print the system buid of the usbmuxd host.

hostid
    print the host id for target device.

pair
    pair device with this host.

validate
    validate if device is paired with this host.

unpair
    unpair device with this host.

list
    list devices paired with this host.

AUTHORS
Nikias Bassen

Martin Szulecki

Julien Lavergne

ON THE WEB
https://libimobiledevice.org

https://github.com/libimobiledevice/libimobiledevice